Bug 145976 - Make macro selector dialog not-resizable
Summary: Make macro selector dialog not-resizable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.2.2 release
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords:
Depends on:
Blocks: Macro-UI
  Show dependency treegraph
 
Reported: 2021-11-30 20:17 UTC by Rafael Lima
Modified: 2021-12-10 11:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screen capture showing the problem (83.87 KB, video/mp4)
2021-11-30 20:17 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-11-30 20:17:50 UTC
Created attachment 176607 [details]
Screen capture showing the problem

Open the macro selector in any LibreOffice component (Tools - Macros - Run Macro). Now suppose you have a long list of libraries and modules and you would like to increase the size of the list containing the libraries.

Currently, doing this will increase both the size of the Library list and the Description text box (see attached video illustrating the problem).

The main problem with increasing the size of the "Description" field is that it occupies a portion of the screen that is incompatible with the amount of information it contains (for most libraries it is empty). Moreover, it hinders increasing the size of the Library list.

Hence I would like to propose setting the height of the Description box to a fixed value, so that resizing the dialog would only resize to upper part of the dialog.
Comment 1 Heiko Tietze 2021-12-06 12:44:01 UTC
We decided to have all property dialogs non-resizable unless user input is required. In this particular example it would be a bit inconvenient not being able to resize the potentially large lists and the proper solution might be to just keep the description part fix.
Comment 2 Heiko Tietze 2021-12-09 07:25:26 UTC
Topic was on the agenda of the design meeting but did not receive further input. So let's follow the HIG and make the whole dialog non-resizable.
Comment 3 Heiko Tietze 2021-12-09 08:33:10 UTC
To pick an item from a large tree/list without the possibility to resize the dialog is awkward. So I decided to treat it as user input. The dialog is still resizable now but the description field has a constant size.
Comment 4 Commit Notification 2021-12-10 07:09:56 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5b0707f66e2c49a11f3a23e3ec9940b26d881165

Resolves tdf#145976 - Resizing issues with the macro dialog

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-12-10 11:48:20 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/754607264425c78c2370d69a26ec72b95ab94f3a

Resolves tdf#145976 - Resizing issues with the macro dialog

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.